import React from 'react';
import PropTypes from 'prop-types';
import styles from "../../@patternfly/patternfly-next/components/Popover/popover.css.js";
import { css, getModifier } from '@patternfly/react-styles';
import PopoverDialog, { PopoverPosition } from './PopoverDialog';
import PopoverArrow from './PopoverArrow';
import PopoverContent from './PopoverContent';
import PopoverHeader from './PopoverHeader';
import PopoverBody from './PopoverBody';
import PopoverCloseButton from './PopoverCloseButton';

var Popover = function Popover(_ref) {
  var position = _ref.position,
      header = _ref.header,
      onClose = _ref.onClose,
      children = _ref.children,
      className = _ref.className;
  return React.createElement(PopoverDialog, {
    position: position
  }, React.createElement(PopoverArrow, null), React.createElement(PopoverContent, null, React.createElement(PopoverCloseButton, {
    onClose: onClose
  }), React.createElement(PopoverHeader, {
    id: "popover-".concat(position, "-header")
  }, header), React.createElement(PopoverBody, {
    id: "popover-".concat(position, "-body")
  }, children)));
};

var propTypes = {
  /** Popover position */
  position: PropTypes.oneOf(Object.values(PopoverPosition)),

  /** Popover header text */
  header: PropTypes.string.isRequired,

  /** Popover body text */
  children: PropTypes.string.isRequired,

  /** Popover onClose function */
  onClose: PropTypes.func
};
Popover.propTypes = propTypes;
Popover.defaultProps = {
  onClose: function onClose() {},
  position: 'top'
};
export default Popover;