"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _popoverCss = _interopRequireDefault(require("../../@patternfly/patternfly-next/components/Popover/popover.css.js"));

var _reactStyles = require("@patternfly/react-styles");

var _PopoverDialog = _interopRequireWildcard(require("./PopoverDialog"));

var _PopoverArrow = _interopRequireDefault(require("./PopoverArrow"));

var _PopoverContent = _interopRequireDefault(require("./PopoverContent"));

var _PopoverHeader = _interopRequireDefault(require("./PopoverHeader"));

var _PopoverBody = _interopRequireDefault(require("./PopoverBody"));

var _PopoverCloseButton = _interopRequireDefault(require("./PopoverCloseButton"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Popover = function Popover(_ref) {
  var position = _ref.position,
      header = _ref.header,
      onClose = _ref.onClose,
      children = _ref.children,
      className = _ref.className;
  return _react.default.createElement(_PopoverDialog.default, {
    position: position
  }, _react.default.createElement(_PopoverArrow.default, null), _react.default.createElement(_PopoverContent.default, null, _react.default.createElement(_PopoverCloseButton.default, {
    onClose: onClose
  }), _react.default.createElement(_PopoverHeader.default, {
    id: "popover-".concat(position, "-header")
  }, header), _react.default.createElement(_PopoverBody.default, {
    id: "popover-".concat(position, "-body")
  }, children)));
};

var propTypes = {
  /** Popover position */
  position: _propTypes.default.oneOf(Object.values(_PopoverDialog.PopoverPosition)),

  /** Popover header text */
  header: _propTypes.default.string.isRequired,

  /** Popover body text */
  children: _propTypes.default.string.isRequired,

  /** Popover onClose function */
  onClose: _propTypes.default.func
};
Popover.propTypes = propTypes;
Popover.defaultProps = {
  onClose: function onClose() {},
  position: 'top'
};
var _default = Popover;
exports.default = _default;